Subject: [AVT] Re: SRTP_PREFIX_LENGTH

From: "David A. McGrew" <[email-masked]>
Date: Wed, 1 Dec 2004 13:18:54 -0800

Srikanth,

On Nov 22, 2004, at 5:01 AM, Vavilapalli Srikanth-A19563 wrote:

> Hi
>
> Another question from my side:
>
> RFC 3711: Section 4.1: Page 19: SRTP_PREFIX_LENGTH is the octet length 
> of
> the key-stream prefix, a non-negative integer, specified by the message
> authentication code in use.
>
> RFC 3711: Section 4.1: Page 20: SRTP_PREFIX_LENGTH, the key-stream 
> prefix is
> indicated by a positive, non-zero value of SRTP_PREFIX_LENGTH.
>
> It looks like the second bullet is restricting zero value for
> SRTP_PREFIX_LENGTH.

No, that was not the intent.  The full quote is:

    The number of octets in the keystream prefix is denoted as
    SRTP_PREFIX_LENGTH.  The keystream prefix is indicated by a positive,
    non-zero value of SRTP_PREFIX_LENGTH.

It should have read something like this:

    The number of octets in the keystream prefix is denoted as
    SRTP_PREFIX_LENGTH.  The *presence of the* keystream prefix is 
indicated
    by a positive, non-zero value of SRTP_PREFIX_LENGTH.

> In that case, how can HMAC-SHA1 use a zero length
> key-stream prefix?
>
> 	RFC 3711: Section 4.2.1: Page 25: With HMAC-SHA1, the
> SRTP_PREFIX_LENGTH SHALL be 0.
>
> Am missing something here? Please clarify this point.

Zero values of the SRTP_PREFIX_LENGTH are permitted.

David

>
> Thanks & Regards
> Srikanth Vavilapalli
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of 
> David
> A. McGrew
> Sent: Friday, November 19, 2004 9:25 PM
> To: milo diurn
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: [AVT] RFC3711: Srtp Parameters for Rx/Tx ?
>
> Hi Milo,
>
> On Nov 19, 2004, at 7:10 AM, milo diurn wrote:
>
>> Karl, and Srtp community,
>>
>> In RFC3711, I do not see any clear way of setting the Srtp parameters
>> (chap 8.2)
>> for both ways of the session:
>> - Transmit : need the Srtp parameters for Encryption (to be sent to
>> the network)
>> - Receive: need the Srtp parameters for Decryption (to be received
>> from the network).
>
> essentially, the parameters are established out-of-band for SRTP.  The
> transmit/receive issue doesn't affect this point; either SRTP endpoint,
> or a third-party device (e.g. a call controller) could set the
> parameters.  In this respect, SRTP is like RTP: it relies on another
> protocol to signal the context information needed to get it going.
> MIKEY and the SDP Security Descriptions are two standards-track ways of
> signaling SRTP.
>
> David
>
>>
>> Could you, please, clarify this point ?
>>
>> Thanks
>>
>> Regards
>>
>> _________________________________________________________________
>> FREE pop-up blocking with the new MSN Toolbar - get it now!
>> http://toolbar.msn.click-url.com/go/onm00200415ave/direct/01/
>>
>
>
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt